import java.awt.*;

import javax.swing.*;
import java.awt.event.*;

public class DebugWindow extends JFrame
{	JTextField inputField,outputField;
	Client client;
	JTextArea input,output;
	JButton closeButton;
	static final long serialVersionUID=(long)0.0;
	public DebugWindow(String s)
	{	super(s);
		inputField=new JTextField();
		inputField.setText("Input");
		inputField.setFont(new Font("Arial",Font.BOLD,16));
		inputField.setEditable(false);
		outputField=new JTextField();
		outputField.setText("Output");
		outputField.setFont(new Font("Arial",Font.BOLD,16));
		outputField.setEditable(false);
		input=new JTextArea(25,50);
		input.setLineWrap(true);
		input.setEditable(false);
		JScrollPane inputPane=new JScrollPane(input,
		JScrollPane.VERTICAL_SCROLLBAR_ALWAYS,
		JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);
		output=new JTextArea(25,50);
		output.setLineWrap(true);
		output.setEditable(false);
		JScrollPane outputPane=new JScrollPane(output,
		JScrollPane.VERTICAL_SCROLLBAR_ALWAYS,
		JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);
		closeButton=new JButton("Close");
		closeButton.addActionListener(new ActionListener()
		{	public void actionPerformed(ActionEvent e)
			{	setVisible(false);
			}
		});
		JPanel panel1=new JPanel(),panel2=new JPanel();
		panel1.setLayout(new BorderLayout());
		panel1.add(inputField);
		panel1.add(inputPane,"South");
		panel2.setLayout(new BorderLayout());
		panel2.add(outputField);
		panel2.add(outputPane,"South");
	    Container cc=getContentPane();
	    cc.setLayout(new BorderLayout());
	    cc.add(panel1,"North");
	    cc.add(panel2);
	    cc.add(closeButton,"South");
	    pack();
	    setVisible(true);
	    setResizable(false);
	}
	public void addInput(String s)
	{	input.append(s+"\n");
	}
	public void addOutput(String s)
	{	output.append(s+"\n");
	}
}